ユーザ用ツール

サイト用ツール


filesystem:doc:requirement

動作要件

ウェブサーバーのシステム要件

PHPに対応するウェブサーバーをご利用下さい(古いバージョンのPHPでは正常に動作しない可能性があります)。

Apacheを利用するサーバー上で開発・動作確認を行っています。その他のサーバーでも、恐らく動作すると思われます。
また、システムで使用する文字コードはUTF-8です。

ファイルの一括ダウンロード機能を使用するにはPHPの拡張モジュール Zip が、reCAPTCHAを使用するにはPHPの拡張モジュール Client URL Library(cURL)が、それぞれ必要です。

参考までに、開発に使用しているサーバーはコアサーバーのCORE-Aプランによるレンタルサーバー(FastCGI版PHP・バージョン7.0)です。

ブラウザのシステム要件・推奨環境

次の機能をサポートするウェブブラウザをご利用下さい(古いブラウザでは正常に動作しない可能性があります)。

  • Javascript1)
  • Ajax(システムバージョンがGamma-2E-0以降の場合)2)
  • Cookie3)

また、推奨環境は以下の通りです(いずれも最新版の利用を想定しています)。推奨環境以外のブラウザで正常に動作しない場合は、推奨環境のブラウザに切り替えてお試し下さい。

  • Google Chrome
  • Microsoft Edge
  • Mozilla Firefox
  • Opera
  • Safari

※ただし、OperaはreCAPTCHAのサポート対象外となっています。reCAPTCHA v2(非表示reCAPTCHAバッジ)がOpera上で正常に動作しない場合、お手数ですが他のブラウザをご利用願います。
Internet Explorerは推奨環境外とさせて頂きます

推奨環境のブラウザで正常に動作しない場合は、システムの不具合として対応致します。推奨環境以外のブラウザで正常に動作しない場合は、システムの不具合とは見做さない場合があります。



BACK

1)
画面表示、入力内容の検証等に使用しています。
2)
使用済みユーザーIDの検索等に使用しています。
3)
ログイン中のユーザーの識別に使用しています。
filesystem/doc/requirement.txt · 最終更新: 2020/05/16 14:43 by 管理人/Admin